java.lang.UnsupportedOperationException: String-based queries like [executeQuery] are currently not supported in this implementation of GORM. Use criteria instead.

GitHub | saw303 | 7 months ago
tip
Do you know that we can give you better hits? Get more relevant results from Samebug’s stack trace search.
  1. 0

    Validators are not executed in unit test (String-based queries like [executeQuery] are currently not supported in this implementation of GORM)

    GitHub | 7 months ago | saw303
    java.lang.UnsupportedOperationException: String-based queries like [executeQuery] are currently not supported in this implementation of GORM. Use criteria instead.
  2. 0

    Using executeQuery on domain instance results in UnsupportedOperationException within a unit test (Grails 3.2)

    GitHub | 6 months ago | saw303
    java.lang.UnsupportedOperationException: String-based queries like [executeQuery] are currently not supported in this implementation of GORM. Use criteria instead.

    Root Cause Analysis

    1. java.lang.UnsupportedOperationException

      String-based queries like [executeQuery] are currently not supported in this implementation of GORM. Use criteria instead.

      at org.grails.datastore.gorm.GormStaticApi.unsupported()
    2. Grails GORM
      GormEntity$Trait$Helper.executeQuery
      1. org.grails.datastore.gorm.GormStaticApi.unsupported(GormStaticApi.groovy:1124)
      2. org.grails.datastore.gorm.GormStaticApi.executeQuery(GormStaticApi.groovy:1028)
      3. org.grails.datastore.gorm.GormStaticApi.executeQuery(GormStaticApi.groovy:1024)
      4. org.grails.datastore.gorm.GormEntity$Trait$Helper.executeQuery(GormEntity.groovy:1030)
      4 frames
    3. grails.issues
      Season.between
      1. grails.issues.Season.between(Season.groovy:64)
      1 frame